function minFlowQC(hMainFig)
%
% This function is called after option/preferences menu has been activated
% and flag salinity data where FLOW < min as BAD if test is on
%
% Input
% -----
% hMainFig ............ Handle to the main user interface
%
% $Id$

% Get the data from the application GUI
% -------------------------------------
tsg = getappdata( hMainFig, 'tsg_data');

% Get BAD code value
% ----------------------
badCode = tsg.qc.hash.BAD.code;

flow_min = tsg.preference.flow_min_string;

% If necessary replace a comma by a point
% ---------------------------------------
flow_min = regexprep(flow_min, ',', '.');

% If bias not a numeric, str2double return a NaN
% ----------------------------------------------
flow_min = str2double( flow_min );

if isnumeric( flow_min ) && ~isnan( flow_min )

  % Set salinity QC to BAD for flow < flow_min
  % -----------------------------------------------------
  ind = find(tsg.FLOW < flow_min);
  if ~isempty( ind )
    tsg.SSPS_QC(ind) = castByteQC( badCode, ind );
  end

  % Save tsg structure
  % ------------------
  setappdata( hMainFig, 'tsg_data', tsg);
  
else
  
  msgbox('Enter a numeric value in the REFERENCE menu', 'Flow QC',...
         'error', 'modal');

end

end
